#ifndef CART_H
#define CART_H

#include "domain.h"
#include <vector>
#include <algorithm>
#include <random>
#include <chrono>

class Cart
{

public:

	void add(const Tenant&);
	void clear();
	const std::vector<Tenant>& get() const;
	void random(const unsigned int&, std::vector<Tenant>);

private:

	std::vector<Tenant> archive;
	
};

#endif