#include "domain.h"

// tenant constructor
Tenant::Tenant()
: number(0)
, surface(0)
, type("")
, name("")
{
	
}

// tenant constructor with arguments
Tenant::Tenant(int number, int surface, std::string type, std::string name)
: number(number)
, surface(surface)
, type(type)
, name(name)
{
	
}

Tenant::Tenant(const Tenant& obj)
: number(obj.number)
, surface(obj.surface)
, type(obj.type)
, name(obj.name)
{
	std::cout << "\n\nCOPY CONSTRUCTOR\n\n";
}

// returns number for tenant
int Tenant::getNumber() const
{
	return number;
}

// returns surface for tenant
int Tenant::getSurface() const
{
	return surface;
}

// returns type for tenant
std::string Tenant::getType() const
{
	return type;
}

// returns name for tenant
std::string Tenant::getName() const
{
	return name;
}