#ifndef DOMAIN_H
#define DOMAIN_H

#include <string>
#include <iostream>

class Tenant
{
	
public: 

	Tenant();
	Tenant(int, int, std::string, std::string);
	Tenant(const Tenant&);
	
	int getNumber() const;
	int getSurface() const;
	std::string getType() const;
	std::string getName() const;

private:

	int number, surface;
	std::string type, name;

};

#endif