#ifndef UI_H
#define UI_H

#include <iostream>
#include "service.h"

class Console
{

public:

	Console(ServiceTenants service);
	void run();
	
private:
	
	void add();	
	void remove();
	void modify();
	void writeTenant(const Tenant&);
	void writeTenants(const std::vector<Tenant>&);
	void write();
	void search();
	void filterType();
	void filterSurface();
	void sortName();
	void sortSurface();
	void sortTypeSurface();
	void doAction(int);
	void writePossibleActions();
	
	void notificationsAdd();
	void notificationsClear();
	void notificationsRandom();
	void notificationsWrite();
	
	void mapAction();
	
	void undo();
	void exportHTML();
	void exportCSV();
	
	ServiceTenants service;
};

#endif