#ifndef VALID_H
#define VALID_H

#include <vector>
#include <string>
#include <sstream>
#include "domain.h"

class ValidException
{
public:
	ValidException(const std::vector<std::string>& s);
	friend std::ostream& operator<<(std::ostream& out, const ValidException& e);
private:
	std::vector<std::string> s;
};

class Valid
{
public:
	void validate(const Tenant& tenant);
};

#endif